<form [formGroup]="otpFormGroup">
  <h2 mat-dialog-title class="mb-2">{{'OTP' | translate}}</h2>
  <div *ngIf="isOtpSended">
    <p class="mb-3">{{'EMAIL_CHECK_NEW_PASSWORD__INSTRUCTION' | translate}} <span class="text-blue-primary">{{data.email}}</span></p>
  </div>
  <div *ngIf="!isOtpSended">
    <p class="mb-3">{{'EMAIL_CHECK_OTP_INSTRUCTION' | translate}} <span class="text-blue-primary">{{data.email}}</span></p>
    <div mat-dialog-content>
     <div class="form-group d-flex justify-content-center my-2">
       <ng-otp-input (onInputChange)="onOtpChange($event)" [config]="{length:6}"></ng-otp-input>
       <input formControlName="otp" class="form-control mat-small" type="text" hidden>
       <div *ngIf="otpFormGroup.get('otp').touched && otpFormGroup.get('otp').errors"
         class="k-tooltip-validation">
         <div class="text-danger small" *ngIf="otpFormGroup.get('otp').errors?.required">
           {{'OTP_IS_REQUIRED' | translate}}
         </div>
         <div class="text-danger small" *ngIf="otpFormGroup.get('otp').errors?.minlength">
           {{'OTP_IS_REQUIRED' | translate}}
         </div>
       </div>
     </div>
    <div class="text-center small mb-3">
      <p class="mat-small mb-0 mt-3">( {{timer}} )</p>
      <a *ngIf="isCanResend" class="btn mat-small" (click)="onResendClick()">{{'RESEND_OTP' | translate}}</a>
      <p *ngIf="!isCanResend" class="mat-small" style="color: gray;">{{'RESEND_OTP' | translate}}</p>
    </div>
   </div>
  </div>

   <div mat-dialog-actions class="d-flex justify-content-end mt-3">
     <button *ngIf="isOtpSended" class="btn btn-danger btn-sm mr-1" (click)="onCloseClick()">{{'CLOSE' | translate}}</button>
     <button *ngIf="!isOtpSended" class="btn btn-success btn-sm ml-1" (click)="onSendClick()" [disabled]="!otpFormGroup.valid">{{'SEND' | translate}}</button>
   </div>
 </form>
